XML System.Xml [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 System.Enum

Specifies the write state of an instance of a class derived from the class.

When a writer is instantiated, the write state is set to . While content is written, the write state is set to reflect the type of content being written. When the method is called, the write state is set to . The method resets the write state back to , allowing the writer to write a new XML document.

- Field
  System.Xml.WriteState Attribute

  An attribute value is being written.

  To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.Xml.WriteState Closed

  The method has been called.

  To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.Xml.WriteState Content

  Element content is being written.

  To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.Xml.WriteState Element

  An element start tag is being written.

  To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.Xml.WriteState To be added. 2.0.0.0
- Field
  System.Xml.WriteState Prolog

  The XML declaration is being written.

  To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.Xml.WriteState Start

  None of the writing methods have been called.

  The method resets the write state to this value.

  To be added. 0 1.0.5000.0 2.0.0.0
0